header__padding_bottom = 26px
header__menu_top_position = 83px
header__language_selector_top_position = 19px

header__breakpoint = 645px


.header

    // flex container
    display flex
    flex-direction column
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch

    // distance
    padding-top 0
    padding-bottom 0


    &__canvas

        // flex item
        flex-basis auto
        flex-grow 1
        flex-shrink 0

        // flex container
        display flex
        flex-direction column
        flex-wrap nowrap
        justify-content flex-start
        align-items stretch


    &__site-title

        display none


    &__logo

        // size
        width 220px

        // position
        position absolute
        left -2px
        top header__menu_top_position - 67px


    &__language-selector

        // position
        position absolute
        right 0
        top header__language_selector_top_position


    &__menu

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // distance
        margin-top header__menu_top_position
        margin-bottom 28px

        // flex container
        display flex
        flex-direction row
        flex-wrap nowrap
        justify-content flex-end
        align-items flex-end


        & > *

            margin-left button__spacing


    &__hamburger

        // size
        width button__height + 2px
        height button__height

        // shape
        border-radius button__border_radius

        // color
        background-color on_paper__grey_area

        // distance
        padding 8px

        // cursor
        cursor pointer

        // animation
        transition standard_transition

        // flex container
        display flex
        flex-direction column
        flex-wrap nowrap
        justify-content space-between
        align-items stretch


        &--active

            // color
            background-color ink


    &__hamburger-line

        // flex item
        flex-basis 2px
        flex-grow 0
        flex-shrink 0

        // color
        background-color paper


    &__mobile-menu

        // distance
        margin-bottom 23px

        // animation
        max-height 150px
        opacity 1

        overflow hidden
        transition margin-bottom 0.5s ease, max-height 0.5s ease, opacity 0.5s ease

        // flex container
        display flex
        flex-direction column
        flex-wrap nowrap
        justify-content flex-start
        align-items stretch


        &--hidden

            margin-bottom 0
            max-height 0
            opacity 0


    &__menu-item

        // text
        text-transform lowercase


        &--desktop

            button()

            // color
            background-color on_paper__grey_area
            color paper

            &:hover

                // color
                background-color ink


        &--mobile

            basefont()

            // flex item
            flex-basis button__height + 3px
            flex-grow 0
            flex-shrink 0

            // border
            border-top on_paper__light_border

            // distance
            padding-top 2px

            // text
            text-align center

            // animation
            transition all 0.3s ease


            &:last-of-type

                // border
                border-bottom on_paper__light_border


            &:hover

                // color
                background-color on_paper__light_grey


    @media (max-width: (header__breakpoint - 1px))


        &__menu-item--desktop:not(&__contact)

            display none



    @media (min-width: header__breakpoint)


        &__hamburger

            display none


        &__mobile-menu

            display none
